bdi4jade.event

## Class GoalEvent

- java.lang.Object
- - bdi4jade.event.GoalEvent

- All Implemented Interfaces:
    jade.content.AgentAction, jade.content.Concept, jade.content.ContentElement, jade.content.Term, java.io.Serializable

      public class GoalEvent
      extends java.lang.Object
      implements jade.content.AgentAction

  This class represents an event performed over a goal.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Goal` | `goal`
    `protected GoalStatus` | `status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoalEvent()` Default constructor.
    `GoalEvent(Goal goal)` Creates a new goal event with a goal.
    `GoalEvent(Goal goal, GoalStatus status)` Creates a new goal event with a goal.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Goal` | `getGoal()` Returns the goal associated with this event.
    `GoalStatus` | `getStatus()` Returns the goal status.
    `boolean` | `isGoalAdded()` Indicates if this goal event is a goal added event.
    `void` | `setGoal(Goal goal)` Sets the goal associated with this event.
    `void` | `setStatus(GoalStatus status)` Sets the goal status.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### goal

          protected Goal goal

    - #### status

          protected GoalStatus status

  - ### Constructor Detail

    - #### GoalEvent

          public GoalEvent()

      Default constructor.

    - #### GoalEvent

          public GoalEvent(Goal goal)

      Creates a new goal event with a goal.
      Parameters:
        `goal` - the goal of this event.

    - #### GoalEvent

          public GoalEvent(Goal goal,
                           GoalStatus status)

      Creates a new goal event with a goal.
      Parameters:
        `goal` - the goal of this event.
        `status` - the goal status.

  - ### Method Detail

    - #### getGoal

          public Goal getGoal()

      Returns the goal associated with this event.
      Returns:
        the goal associated with this event.

    - #### getStatus

          public GoalStatus getStatus()

      Returns the goal status.
      Returns:
        the status.

    - #### isGoalAdded

          public boolean isGoalAdded()

      Indicates if this goal event is a goal added event.
      Returns:
        true if this is an event in which a goal was added, false otherwise.

    - #### setGoal

          public void setGoal(Goal goal)

      Sets the goal associated with this event.
      Parameters:
        `goal` - the goal to set.

    - #### setStatus

          public void setStatus(GoalStatus status)

      Sets the goal status.
      Parameters:
        `status` - the status to set.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`